package com.xjrsoft.common.enums;

/**
 * @author dzx
 * @date 2023/12/1
 * 学籍状态
 */
public enum MaterialCategoryEnum {

    /**
     * 在读
     * */
    MT0001("MT0001", "附件"),
    /**
     * 休学
     * */
    MT0002("MT0002", "表单");
    final String code;
    final String value;

    public String getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    public static String getValue(String code) {
        for (MaterialCategoryEnum item : values()) {
            if (item.getCode().equals(code)) {
                return  item.getValue();
            }
        }
        return null;
    }

    MaterialCategoryEnum(final String code, final String message) {
        this.code = code;
        this.value = message;
    }
}
